body { 
    font-family: sans-serif; 
    max-width: 800px; 
    margin: 40px auto; 
    line-height: 1.6; 
    background-color: #5d5d5d;
    list-style: none;
    border-radius: 0;
}

.post { 
    border-bottom: 1px solid #525151; 
    padding: 10px 0; 
}

.post-content {
    background-color: #615c5c;
    padding: 20px;
    border-radius: 0px;
    box-shadow: 0 2px 4px rgba(0,0,0,0.1);
}

.highlight {
    background-color: #fff3cd;
    padding: 10px;
    border-left: 4px solid #ffc107;
    margin: 10px 0;
}

.info-box {
    background-color: #d1ecf1;
    border: 1px solid #bee5eb;
    padding: 15px;
    margin: 10px 0;
}

.warning-box {
    background-color: #f8d7da;
    border: 1px solid #f5c6cb;
    padding: 15px;
    margin: 10px 0;
}

h1 { 
    color: #2c3e50; 
}
a {
    color: #000000;
}

.tg-post {
    background-color: #ffffff;
    padding: 20px;
    margin: 20px 0;
}

.tg-post .content pre {
    white-space: pre-wrap;
    word-break: break-word;
    overflow-wrap: break-word;
}

.regex {
    background-color: #f8f9fa;
    padding: 5px 10px;
    font-family: monospace;
    font-size: 0.9em;
}

.description {
    margin: 10px 0;
    line-height: 1.5;
}

nav {
    margin-bottom: 20px;
}

nav a {
    margin-right: 10px;
    text-decoration: none;
}

nav a:hover {
    text-decoration: underline;
}

.post-date {
    font-size: 0.82em;
    white-space: nowrap;
}
